package eu.eudat.depositinterface.repository;

import eu.eudat.depositinterface.models.DMPDepositModel;

public interface RepositoryDeposit {

    String deposit(DMPDepositModel dmpDepositModel, boolean update, String repositoryAccessToken) throws Exception;

    String authenticate(String code);

    RepositoryDepositConfiguration getConfiguration();

}
